summaryrefslogtreecommitdiffstats
path: root/usr/sbin/pc-sysinstall/backend-query/test-netup.sh
diff options
context:
space:
mode:
authorScott Ullrich <sullrich@pfsense.org>2010-08-14 21:12:05 -0400
committerScott Ullrich <sullrich@pfsense.org>2010-08-14 21:12:05 -0400
commit5a69cb0659dae2bfb481c31a6c57ff4f829225ac (patch)
tree00f6cf60aa9c11a0972c1f970abc7e0edad5e40d /usr/sbin/pc-sysinstall/backend-query/test-netup.sh
parent3fcc3999dacb8e92d22fa68922a0cb07141c481d (diff)
downloadpfsense-5a69cb0659dae2bfb481c31a6c57ff4f829225ac.zip
pfsense-5a69cb0659dae2bfb481c31a6c57ff4f829225ac.tar.gz
Sync pc-sysinstall with FreeBSD-CURRENT and remove old /PCBSD version. Change installer.php to match new path
Diffstat (limited to 'usr/sbin/pc-sysinstall/backend-query/test-netup.sh')
-rw-r--r--usr/sbin/pc-sysinstall/backend-query/test-netup.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/usr/sbin/pc-sysinstall/backend-query/test-netup.sh b/usr/sbin/pc-sysinstall/backend-query/test-netup.sh
new file mode 100644
index 0000000..dc8c71a
--- /dev/null
+++ b/usr/sbin/pc-sysinstall/backend-query/test-netup.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+#-
+# Copyright (c) 2010 iXsystems, Inc. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD: src/usr.sbin/pc-sysinstall/backend-query/test-netup.sh,v 1.2 2010/06/27 16:46:11 imp Exp $
+
+
+# Script which tests "fetch" when using a network connection, and saves
+# if we are using direct connect, or need FTP passive mode
+#############################################################################
+
+rm ${TMPDIR}/.testftp >/dev/null 2>/dev/null
+
+ping -c 2 www.pcbsd.org >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ echo "ftp: Up"
+ exit 0
+fi
+
+ping -c 2 www.freebsd.org >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ echo "ftp: Up"
+ exit 0
+fi
+
+echo "ftp: Down"
+exit 1
OpenPOWER on IntegriCloud